Subject: bug#54591: 29.0.50; sqlite-select returns blob result as multibyte string

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Apr 2022 15:59:28 +0200

Eli Zaretskii <[email-masked]> writes:

> We could store unibyte strings as BLOBs, couldn't we?

As I've said, we don't know whether a column is a TEXT or a BLOB column.
And "store as BLOB" has no particular meaning -- internally in sqlite,
there is no particular difference: Both are just a series of bytes, and
you can put any bytes you want into the columns.

> We could refrain from decoding BLOBs, couldn't we?

Yes, I think I said so?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no